fix compile gcc-6
fix some minor deprecated warnings
https://bugs.gentoo.org/show_bug.cgi?id=594796
Signed-of-by: Joerg Bornkessel <hd_brummy@gentoo.org> (2016/Oct/16)

diff -Naur osdserver-0.1.3.orig/Makefile osdserver-0.1.3/Makefile
--- osdserver-0.1.3.orig/Makefile	2016-10-16 19:17:32.425111158 +0200
+++ osdserver-0.1.3/Makefile	2016-10-16 19:17:52.079111158 +0200
@@ -48,7 +48,7 @@
 
 INCLUDES += -I$(VDRDIR)/include
 
-DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DPLUGINVERSION='"$(VERSION)"'
+DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DPLUGINVERSION='"$(VERSION)"' -D__STL_CONFIG_H
 
 ### The object files (add further files here):
 
diff -Naur osdserver-0.1.3.orig/interpreter.c osdserver-0.1.3/interpreter.c
--- osdserver-0.1.3.orig/interpreter.c	2016-10-16 19:17:32.426111158 +0200
+++ osdserver-0.1.3/interpreter.c	2016-10-16 19:12:05.000000000 +0200
@@ -1347,7 +1347,7 @@
         return true;
     }
 
-    timeout=min(ms,100);
+    timeout=std::min(ms,100);
     return false;
 }
 
diff -Naur osdserver-0.1.3.orig/tools.h osdserver-0.1.3/tools.h
--- osdserver-0.1.3.orig/tools.h	2016-10-16 19:17:32.425111158 +0200
+++ osdserver-0.1.3/tools.h	2016-10-16 19:06:13.000000000 +0200
@@ -2,6 +2,7 @@
 #define __OSDSERVER_TOOLS_H
 
 #include <ctype.h>
+#include <algorithm>
 
 #include <vdr/tools.h>
 #include <vdr/remote.h>
@@ -40,19 +41,19 @@
     void SetRead(int fd) {
         if (fd >= 0 && fd < FD_SETSIZE) {
             FD_SET(fd,&readfds);
-            fdmax=max(fd,fdmax);
+            fdmax=std::max(fd,fdmax);
         }
     }
     void SetWrite(int fd) {
         if (fd >= 0 && fd < FD_SETSIZE) {
             FD_SET(fd,&writefds);
-            fdmax=max(fd,fdmax);
+            fdmax=std::max(fd,fdmax);
         }
     }
     void SetExcept(int fd) {
         if (fd >= 0 && fd < FD_SETSIZE) {
             FD_SET(fd,&exceptfds);
-            fdmax=max(fd,fdmax);
+            fdmax=std::max(fd,fdmax);
         }
     }
     void ClearRead(int fd) {
diff -Naur osdserver-0.1.3.orig/osdobjects.h osdserver-0.1.3/osdobjects.h
--- osdserver-0.1.3.orig/osdobjects.h	2016-10-16 19:28:22.987111158 +0200
+++ osdserver-0.1.3/osdobjects.h	2016-10-16 19:29:19.946111158 +0200
@@ -56,12 +56,12 @@
         }        
 
         // Make some protected stuff public
-        cOsdMenu::SetTitle;
-        cOsdMenu::SetCurrent;
-        cOsdMenu::SetCols;
-        cOsdMenu::Del;
-        cOsdMenu::HasSubMenu;
-        cOsdMenu::CloseSubMenu;
+        using cOsdMenu::SetTitle;
+        using cOsdMenu::SetCurrent;
+        using cOsdMenu::SetCols;
+        using cOsdMenu::Del;
+        using cOsdMenu::HasSubMenu;
+        using cOsdMenu::CloseSubMenu;
     };
     friend class cPrivateMenu;
     friend class cPrivate;
